aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--games-action/vintage-story/Manifest1
-rw-r--r--games-action/vintage-story/vintage-story-1.22.3.ebuild43
-rw-r--r--readme.org5
3 files changed, 49 insertions, 0 deletions
diff --git a/games-action/vintage-story/Manifest b/games-action/vintage-story/Manifest
new file mode 100644
index 0000000..233f3ee
--- /dev/null
+++ b/games-action/vintage-story/Manifest
@@ -0,0 +1 @@
+DIST vs_client_linux-x64_1.22.3.tar.gz 618852949 BLAKE2B 547617624433251adf245e9f7be081a7bf63b9dbc3f2dde4989d55667bfbcca7935e414900c2bda900099d2ffe657122225967d878c41babc1bb548ce2afc4ba SHA512 12df8792c92118bb9b39524dc72a9ac9b1afffedc9b8b537a13d462c9ff48c28035d663c098971619ba204ce7d9330dfa4b829a82e62fac8b25b59ddb6ac5df1
diff --git a/games-action/vintage-story/vintage-story-1.22.3.ebuild b/games-action/vintage-story/vintage-story-1.22.3.ebuild
new file mode 100644
index 0000000..796ad11
--- /dev/null
+++ b/games-action/vintage-story/vintage-story-1.22.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHECKREQS_DISK_BUILD="900M"
+inherit desktop check-reqs xdg
+
+DESCRIPTION="Uncompromising wilderness survival sandbox game (requires paid account)"
+HOMEPAGE="https://www.vintagestory.at/"
+SRC_URI="https://cdn.vintagestory.at/gamefiles/stable/vs_client_linux-x64_${PV}.tar.gz"
+S="${WORKDIR}/vintagestory"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+RESTRICT="bindist splitdebug strip mirror"
+
+RDEPEND="
+ >=virtual/dotnet-sdk-10.0
+ virtual/opengl
+ media-libs/openal
+ app-shells/bash
+"
+
+DIR="/opt/${PN}"
+QA_PREBUILT="${DIR#/}/*"
+
+src_prepare() {
+ default
+ rm -v "${S}/install.sh" || die
+}
+
+src_install() {
+ insinto "${DIR}"
+ doins -r "${S}"/*
+ fperms +x "${DIR}/Vintagestory" "${DIR}/run.sh"
+
+ newicon -s 512 "${S}/assets/gameicon.png" ${PN}.png
+ dosym "../..${DIR}/run.sh" /usr/bin/${PN}
+ make_desktop_entry --eapi9 ${PN} -n 'Vintage Story' -c Game \
+ -C 'Uncompromising wilderness survival sandbox game'
+}
diff --git a/readme.org b/readme.org
index 7534799..132db31 100644
--- a/readme.org
+++ b/readme.org
@@ -29,6 +29,11 @@ that lets you annotate and upload your screenshots from niri (source
[[https://codeberg.org/whenthesilly/niri-screenshot-tools][here]])! beware it's a live ebuild so you have to unmask it in your system
portage config
+* vintage story
+install =games-action/vintage-story= for the voxel sandbox survival game
+[[https://www.vintagestory.at/][Vintage Story]]. currently the package is not very well tested and also is
+amd64 only. if you find a bug tell me
+
* shitposts
=sparkly-misc/wruff= literally just puts a message saying "wruff!" as
its post-installation task and does literally nothing else it doesn't